HTMLDocument.RunElement (Java Platform SE 8 )
Keywords: javax.swing.text.html.HTMLDocument.RunElement class
Date: 2026-07-22

javax.swing.text.html

## Class HTMLDocument.RunElement

- java.lang.Object
- - javax.swing.text.AbstractDocument.AbstractElement
  - - javax.swing.text.AbstractDocument.LeafElement
    - - javax.swing.text.html.HTMLDocument.RunElement

- All Implemented Interfaces:
    Serializable, AttributeSet, Element, MutableAttributeSet, TreeNode
  Enclosing class:
    HTMLDocument

      public class HTMLDocument.RunElement
      extends AbstractDocument.LeafElement

  An element that represents a chunk of text that has a set of HTML character level attributes assigned to it.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.swing.text.AttributeSet

      `AttributeSet.CharacterAttribute, AttributeSet.ColorAttribute, AttributeSet.FontAttribute, AttributeSet.ParagraphAttribute`

  - ### Field Summary

    - ### Fields inherited from interface javax.swing.text.AttributeSet

      `NameAttribute, ResolveAttribute`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunElement(Element parent, AttributeSet a, int offs0, int offs1)` Constructs an element that represents content within the document (has no children).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the name of the element.
    `AttributeSet` | `getResolveParent()` Gets the resolving parent.

    - ### Methods inherited from class javax.swing.text.AbstractDocument.LeafElement

      `children, getAllowsChildren, getElement, getElementCount, getElementIndex, getEndOffset, getStartOffset, isLeaf, toString`

    - ### Methods inherited from class javax.swing.text.AbstractDocument.AbstractElement

      `addAttribute, addAttributes, containsAttribute, containsAttributes, copyAttributes, dump, getAttribute, getAttributeCount, getAttributeNames, getAttributes, getChildAt, getChildCount, getDocument, getIndex, getParent, getParentElement, isDefined, isEqual, removeAttribute, removeAttributes, removeAttributes, setResolveParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RunElement

          public RunElement(Element parent,
                            AttributeSet a,
                            int offs0,
                            int offs1)

      Constructs an element that represents content within the document (has no children).
      Parameters:
        `parent` - the parent element
        `a` - the element attributes
        `offs0` - the start offset (must be at least 0)
        `offs1` - the end offset (must be at least offs0)
      Since:
        1.4

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the name of the element.
      Specified by:
        `getName` in interface `Element`
      Overrides:
        `getName` in class `AbstractDocument.LeafElement`
      Returns:
        the name, null if none

    - #### getResolveParent

          public AttributeSet getResolveParent()

      Gets the resolving parent. HTML attributes are not inherited at the model level so we override this to return null.
      Specified by:
        `getResolveParent` in interface `AttributeSet`
      Overrides:
        `getResolveParent` in class `AbstractDocument.AbstractElement`
      Returns:
        null, there are none
      See Also:
        `AttributeSet.getResolveParent()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.